<form novalidate #myForm="ngForm">
    <kendo-grid [data]="view" [height]="450" [pageSize]="gridState.take" [skip]="gridState.skip"
      [sort]="gridState.sort" [sortable]="true" (edit)="editHandler($event)" (cancel)="cancelHandler($event)"
      (save)="saveHandler($event)" (remove)="removeHandler($event)" (add)="addHandler($event, myForm)" [navigable]="true">
      <ng-template kendoGridToolbarTemplate>
        <div>
        <p class="f-21 f-bold pull-left">Create Function</p>
        <div class="pull-right">
          <i class="material-icons pointer-cursor" (click)="onNoClick()">close</i>
        </div>
        <div class="clearfix"></div>
      </div>
      <div>
        <div class="pull-left m-t-20">
          <span class="display-inline m-r-10 vertical-top">Function Name</span>
          <div class="display-inline">
          <input kendoTextBox (keypress)="FunctionName()" #AddFunctionName="ngModel" [(ngModel)]="txtFunctionName"
            name='AddFunctionName' required />
          <p *ngIf="!AddFunctionName.valid" class="error-msg">Please enter function name</p>
        </div>
        </div>
        <button class="pull-right m-t-20" *ngIf="IsNameEntered" kendoGridAddCommand type="button">Add new row</button>
        <div class="clearfix"></div>
      </div>
      </ng-template>
  
      <kendo-grid-column field="searchFor" title="Search for">
        <ng-template kendoGridEditTemplate let-dataItem="dataItem" let-functioId="dataItem.functionId">
          <input [(ngModel)]="dataItem.searchFor" kendoGridFocusable name="Search For" class="k-textbox" required />
        </ng-template>
      </kendo-grid-column>
  
      <kendo-grid-column field="replaceWith" title="Replace with">
        <ng-template kendoGridEditTemplate let-dataItem="dataItem">
          <input [(ngModel)]="dataItem.replaceWith" kendoGridFocusable name="Replace With" class="k-textbox" required />
        </ng-template>
      </kendo-grid-column>
  
      <kendo-grid-command-column title="Action" width="220">
        <ng-template kendoGridCellTemplate let-isNew="isNew">
          <button kendoGridEditCommand type="button" [primary]="true">Edit</button>
          <button kendoGridRemoveCommand type="button">Delete</button>
          <button kendoGridSaveCommand type="button"
            [disabled]="myForm.invalid || myForm.pristine">{{ isNew ? 'Add' : 'Update' }}</button>
          <button kendoGridCancelCommand type="button">{{ isNew ? 'Discard changes' : 'Cancel' }}</button>
        </ng-template>
      </kendo-grid-command-column>
    </kendo-grid>
  </form>
  